Benvenuti nella nostra community - Visita anche il blog

Benvenuto ospite! Login Registrati

Benvenuto/a ospite! . Per leggere i contenuti del forum non è richiesta la registrazione ma se vuoi interagire con noi ponendo domande ed avendo una risposta ai tuoi problemi devi registrarti. La registrazione è gratuita e puoi farla cliccando su Registrati in alto a destra, oppure entrando con i tuoi account social.


Valutazione discussione:
  • 1 voto(i) - 5 media
  • 1
  • 2
  • 3
  • 4
  • 5
LISP IN NANOCAD
#1
Buongiorno a tutti
sono nuovo del forum e vorrei chiedere a chi più esperto di me qualcosa riguardo alla programmazione LISP
premetto che non ne so molto, mi sto avvicinando con il manuale "il mio lisp" scaricato proprio da qui.

ho provato a seguire i primi programmini....
(setq p1 "0,0")
(setq p2 "10,0")
(command "_line" p1 p2 PAUSE p1 "")

dovrebbe disegnare un triangolo, il secondo punto dovrebbe essere dato dall'utente...
ma niente, con nanocad non funziona. mentre funziona alla perfezione con autocad 2010. (sembrerebbe che il comando PAUSE non sia riconosciuto in nanocad)
qualcuno mi sa aiutare?
vorrei programmare utilizzando lisp, ma non volgio usare autocad, ma bensì nanocad che è gratuito.
mille grazie a tutti quelli che vorranno darmi una mano!!!
Nicola
Cita messaggio
Thanks given by:
#2
la variabile p1 dovresti impostarla così:
(setq p1 (list 0.0 0.0))
in quanto per definire una variabile come punto, devi formare una lista di coordinate x, y (e z opzionale)
e di conseguenza anche la variabile p2
(setq p2 (list 10.0 0.0))
se non ti funziona l'opzione pause, inserisci prima la funzione (getpoint)
per l'inserimento del terzo punto.
Fabrizio
Cita messaggio
Thanks given by: Fabrizio Pieri
#3
(07-05-2014, 01:57 PM)demacom Ha scritto: la variabile p1 dovresti impostarla così:
(setq p1 (list 0.0 0.0))
in quanto per definire una variabile come punto, devi formare una lista di coordinate x, y (e z opzionale)
e di conseguenza anche la variabile p2
(setq p2 (list 10.0 0.0))
se non ti funziona l'opzione pause, inserisci prima la funzione (getpoint)
per l'inserimento del terzo punto.
Fabrizio

grazie, ma purtroppo non funziona....
Cita messaggio
Thanks given by:
#4
In questo modo con NanoCad 5 funziona:
(defun c:tri (/ p1 p2 p3)
(setq p1 (list 0.0 0.0))
(setq p2 (list 10.0 0.0))
(setq p3 (getpoint "seleziona il terzo punto ..."))
(command "_line" p1 p2 p3 p1 "")
)
Fabrizio
Cita messaggio
Thanks given by:
#5
(07-05-2014, 06:02 PM)demacom Ha scritto: In questo modo con NanoCad 5 funziona:
(defun c:tri (/ p1 p2 p3)
(setq p1 (list 0.0 0.0))
(setq p2 (list 10.0 0.0))
(setq p3 (getpoint "seleziona il terzo punto ..."))
(command "_line" p1 p2 p3 p1 "")
)
Fabrizio

Grande Fabrizio!!!!!
Ci serviva proprio uno come te.
Non ci abbandonare, ti prego.
Cita messaggio
Thanks given by: demacom


Discussioni simili
Discussione Autore Risposte Letto Ultimo messaggio
  lisp polilinee jim78b 0 272 11-05-2020, 08:58 AM
Ultimo messaggio: jim78b
  LISP DI AUTOCAD NON VANNO jim78b 1 382 24-04-2020, 09:49 AM
Ultimo messaggio: geomarti63
  LISP Carlo_Alex 1 1.066 16-04-2020, 09:32 AM
Ultimo messaggio: carmelo
  LISP: calcolo superfici geomarti63 4 4.889 01-11-2016, 10:43 AM
Ultimo messaggio: Novarese
  LISP: carica punti da file .txt e traccia linee che li uniscono geomarti63 2 3.961 12-08-2016, 06:54 PM
Ultimo messaggio: Fabrizio Pieri
  LISP : Personalizzazione barra comandi pasqualeplacanica 1 3.235 10-09-2015, 06:27 PM
Ultimo messaggio: pasqualeplacanica
  Applicazioni Lisp free Fabrizio Pieri 1 4.420 06-05-2014, 12:20 AM
Ultimo messaggio: Raffaele
  LISP: squadratura del foglio geomarti63 0 2.642 28-04-2014, 10:20 AM
Ultimo messaggio: geomarti63
  LISP: da polilinea a sezione geomarti63 0 2.384 11-04-2014, 09:56 AM
Ultimo messaggio: geomarti63
  LISP: cambia elevazione a curve geomarti63 0 1.674 11-04-2014, 09:46 AM
Ultimo messaggio: geomarti63



Utenti che stanno guardando questa discussione:
1 Ospite(i)